Bug 147572 - Gaim doesn't prompt to add MSN buddy to allow/block list when returning from offline
Gaim doesn't prompt to add MSN buddy to allow/block list when returning from ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 09:03 EST by chris
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 02:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris 2005-02-09 09:03:08 EST
Description of problem:
Under some circumstances (see below), Gaim doesn't prompt whether to
allow or block an MSN user who has added me to their contact list.

Version-Release number of selected component (if applicable):
gaim-1.1.2-0.FC3

Steps to Reproduce:
1. Sign in to MSN and add a user to my buddy list.
2. Sign off.
3. That user adds me to their buddy list.
4. I sign in again.

Actual results:
Gaim does not tell me that they've added me to their list, and does
not prompt whether to allow or block them.  Therefore, they are added
to neither my allow list nor my block list on the server.

Expected results:
Gaim should prompt whether to allow or block them.

Additional info:
Everything works fine if I'm online at the time they add me to their
list.  It also works fine if I'm offline when they add me and I
haven't already added them to my buddy list - Gaim prompts as expected
when I next log in.

However, if I add them to my list and then go offline, and then they
add me, I'm never prompted.  They are never added to either my allow
list or my block list (this can be verified by looking at
~/.gaim/blist.xml).  I have to log in with another client (e.g. amsn)
which then prompts me to allow/block, and then log back in again with
Gaim.
Comment 1 Stu Tomlinson 2005-02-09 09:24:10 EST
This bug has been fixed in upstream Gaim CVS, and will be fixed in the
next release (1.1.3).
Comment 2 chris 2005-02-10 04:50:49 EST
Excellent - thanks.

Note You need to log in before you can comment on or make changes to this bug.